Bug 16874 - Making serials collections actions buttons
Summary: Making serials collections actions buttons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-07 22:21 UTC by Aleisha Amohia
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16874: Making serials collections actions buttons (5.43 KB, patch)
2016-07-07 22:25 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16874: Making serials collections actions buttons (5.62 KB, patch)
2016-07-20 23:02 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16874: Making serials collections actions buttons (5.68 KB, patch)
2016-08-27 22:59 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
[PASSED QA] Bug 16874: Making serials collections actions buttons (5.74 KB, patch)
2016-08-28 20:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-07-07 22:21:44 UTC

    
Comment 1 Aleisha Amohia 2016-07-07 22:25:39 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-07-20 23:02:47 UTC Comment hidden (obsolete)
Comment 3 Claire Gravely 2016-07-21 10:38:22 UTC
Hi,
Sorry, I didn't get two buttons in step 4 of the test. Just the one for 'create routing list'. The line wasn't highlighted either. 

'Print list' was displaying just fine as a button.

Claire
Comment 4 Aleisha Amohia 2016-07-26 04:45:19 UTC
(In reply to Claire Gravely from comment #3)
> Hi,
> Sorry, I didn't get two buttons in step 4 of the test. Just the one for
> 'create routing list'. The line wasn't highlighted either. 
> 
> 'Print list' was displaying just fine as a button.
> 
> Claire

Sorry, I should've added that the Renew button and row highlighting will only show if the subscription is about to expire or has expired. Could you please retest?
Comment 5 Claire Gravely 2016-07-29 14:36:34 UTC
(In reply to Aleisha Amohia from comment #4)
> (In reply to Claire Gravely from comment #3)
> > Hi,
> > Sorry, I didn't get two buttons in step 4 of the test. Just the one for
> > 'create routing list'. The line wasn't highlighted either. 
> > 
> > 'Print list' was displaying just fine as a button.
> > 
> > Claire
> 
> Sorry, I should've added that the Renew button and row highlighting will
> only show if the subscription is about to expire or has expired. Could you
> please retest?

Hi, I just tried again. Same result. I set the expiration date in the past, today and in the future and saw the same results each time with no renew button.
Comment 6 Aleisha Amohia 2016-08-02 04:31:23 UTC
(In reply to Claire Gravely from comment #5)
> Hi, I just tried again. Same result. I set the expiration date in the past,
> today and in the future and saw the same results each time with no renew
> button.

Actually, I just realised that this functionality kind of doesn't work without the patch applied also. The way I describe what to expect in the test case is exactly how it should work with and without the patch, but even without it it's not acting as it should.
Comment 7 Aliki Pavlidou 2016-08-19 20:24:40 UTC
Hello,

I tried to test this patch with the sandbox system, but it does not work.

I've got this log in message in which the test/test credentials don't apply.

"Welcome to the Koha web installer

Before we begin, please verify you have the correct credentials to continue. Please log in with the username and password given to you by your systems administrator and located in your koha-conf.xml configuration file.

Please enter your username and password:"


Kind regards

Aliki
Comment 8 Katrin Fischer 2016-08-27 17:33:09 UTC
Hi Aliki, could you try again with another sandbox? Make sure you try with a selected test database, to avoid the web installer if possible.
Comment 9 PTFS Europe Sandboxes 2016-08-27 22:58:52 UTC
Patch tested with a sandbox, by Lisette Scheer <lisetteslatah@gmail.com>
Comment 10 PTFS Europe Sandboxes 2016-08-27 22:59:13 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2016-08-28 20:07:57 UTC
Created attachment 54961 [details] [review]
[PASSED QA] Bug 16874: Making serials collections actions buttons

To test:
1) Go to serials -> Search a subscription (or make a new one)
2) Ensure that subscription has an end-date that has passed or will pass soon
3) Go to Serials collection (left sidebar menu)
4) Ensure that Subscription summary table has two buttons, Create routing list and Renew. These buttons should be bolded and the table cell highlighted
5) Ensure 'Print list' is a button in year tables below
6) Edit subscription to have a later end-date (will not expire soon)
7) Go back to serials collection
8) Ensure that table cell is no longer highlighted and buttons not bolded. Renew button should not be there.
9) Ensure that both buttons do not wrap when the browser is narrow

Sponsored-by: Catalyst IT
Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 12 Kyle M Hall 2016-09-09 14:09:30 UTC
Pushed to master for 16.11, thanks Aleisha!